%define perl_ver 5.005

Summary: Perl module that implements a base64 encoder/decoder and a quoted-printable encoder/decoder.
Name: perl-MIME-Base64
Requires: perl >= 5.004
Version: 2.12
Release: 1
Copyright: Perl
Group: Development/Libraries/Perl
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MIME/MIME-Base64-%{version}.tar.gz
URL: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MIME/MIME-Base64-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
Provides: perl-MIME-Base64
Obsoletes: MIME-Base64

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

%prep
%setup -q -n MIME-Base64-%{version}

%build
perl Makefile.PL
make OPTIMIZE="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print |\
  sed -e "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > file-list.lst

%clean
rm -rf $RPM_BUILD_DIR/MIME-Base64-%{version}
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst

%files -f file-list.lst
%defattr(-,root,root)
%docdir /usr/doc/%{name}-%{version} 

%changelog
* Sat Apr  7 2001 Horms <homrs@vergenet.net>
- Updated to 2.12

* Thu Dec 24 2000 Horms <horms@vergenet.net>
- changed package name and provide to perl-MIME-Base64 from MIME-Base64

* Mon Jan 10 2000 Horms <horms@vergenet.net>
- updated to work on Redhat 6.0/perl 5.005
- Inspired by perl packages built by alien

* Thu Apr 15 1999 Alex Vorobiev <sasha@mathforum.com>
- first build
